Abaqus Tutorial

55
Intro to ABAQUS Rob Matthews ECS (French Building Room 004) [email protected] MWF 12-4, TR 8-12 http://www.prism.gatech.edu/~rmatthews3/

Transcript of Abaqus Tutorial

Page 1: Abaqus Tutorial

Intro to ABAQUS

Rob MatthewsECS (French Building Room 004)[email protected]

MWF 12-4, TR 8-12

http://www.prism.gatech.edu/~rmatthews3/

Page 2: Abaqus Tutorial

HELP !!!• ABAQUS help …

not very helpful• Lots of information

• Poor organization

• Even worse

‘search’ utility

• “Getting started with ABAQUS”

• Online material

Start Here

http://cee.uiuc.edu/paulino/cee478/handouts/gangli.pdfhttp://cee.uiuc.edu/paulino/cee478/handouts/gangli.pdfhttp://cee.uiuc.edu/paulino/cee478/femmain.htmhttp://www.engin.brown.edu/courses/en175/Abaqustut/abaqustut.htmhttp://www.ae.gatech.edu/people/jcraig/classes/ae4131/index.htmlhttp://maecourses.ucsd.edu/mae232a/Belytschko_Book_files/Ch11.pdf

Page 3: Abaqus Tutorial

Overview

• What is ABAQUS, and what can it do?

• ABAQUS general program structure

• Getting acquainted with ABAQUS CAE

• General modeling steps

• Static Cantilever Beam example

• Modal Turbine Blade example

Page 4: Abaqus Tutorial

What can ABAQUS do?• What can’t ABAQUS do…

– Computational fluid dynamics, Electromagnetics, ‘Magic’…garbage in garbage out

• What can ABAQUS do…– Most anything structurally related; elastostatic,

elastodynamic, stability, heat transfer, soils, etc.

• ABAQUS Nonlinear Analysis– Material nonlinearity – User defined materials– Geometric nonlinearity – Large deformations– BC nonlinearity – Contact, mechanisms

Page 5: Abaqus Tutorial

Program Structure

Preprocessor -geometry, materials,

mesh, loads, BC’s‘abaqus cae’

Postprocessor -pretty plots, graphs,

data files ‘abaqus viewer’

Solver -Number crunching guts,

‘Abaqus/standard’‘Abaqus/explicit’

Python script.py or .rpy

Job.inpJob.odb, Job.resJob.dat, Job.fil

Page 6: Abaqus Tutorial

ABAQUS CAE Layout

Message AreaCommand Line

Viewport Area

Module, Model, & Part Selectors

Module Tools

ModelTree

Main Menu

Abaqus/ViewerAbaqus/CAE

New, Open, Save, Print

Selection Tools

Display Tools

Page 7: Abaqus Tutorial

General Modeling Steps1. Clearly define the problem at hand

• Sketches, material properties, BC’s & IC’s, assumptions, plan of action

2. Create part geometry – ABAQUS/CAE or Pro/E, SolidEdge, etc. .iges file

3. Specify/assign Material properties4. Create model assembly if necessary5. Define analysis steps initial step if for (displacement) BC’s,

create other steps for load cases of interest• Define output requests, time step increments, etc. for each analysis

step• Define/assign (non-displacement) BC’s, IC’s to load steps

6. Define elements, controls, & mesh parts7. Submit analysis

• >abaqus job=filename.inp8. Review the results

• >abaqus viewer database=filename.odb9. Make corrections and repeat as needed

• DO THE RESULTS MAKE PHYSICAL SENSE!!!!!!!!!!

Page 8: Abaqus Tutorial

Cantilever Beam Example• “Getting Started with ABAQUS: Appendix B”

– Problem description: Static (linear-elastic) stress analysis of a steel cantilever beam under an applied pressure load

– Steel properties: E=209E3 MPa, =0.3– BC’s: Fixed left end => (no x, y, or z displacements or rotations)– Loads: 0.5 MPa static pressure on top surface

• NOTE: ALL FEA SOFTWARE IS “UNITLESS” … YOU MUST BE CONSISTENT!!! Example: What is the English unit for mass?

Page 9: Abaqus Tutorial

Create the Geometry

• Start ABAQUS CAE

• ‘Create Model Database’

• DBL-Click ‘Parts’

• Fill out Dialog– Name = ‘BEAM’– 3D, Deformable, Solid,

Extrusion– Approx. Size = 300

Page 10: Abaqus Tutorial

Rectangle Bar

1. Draw the rectangle2. Edit the dimensions3. Click ‘Done’4. Depth = 25 ‘OK’

Page 11: Abaqus Tutorial

Python CLI (Check out C:\Temp\abaqus.rpy)

Try:

Ctrl-Alt LMB

Scroll

Page 12: Abaqus Tutorial

abaqus.rpyfrom abaqus import *from abaqusConstants import *session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=94.5, height=66.5624957680702)session.viewports['Viewport: 1'].makeCurrent()session.viewports['Viewport: 1'].maximize()from caeModules import *from driverUtils import executeOnCaeStartupexecuteOnCaeStartup()Mdb()#: A new model database has been created.#: The model "Model-1" has been created.session.viewports['Viewport: 1'].setValues(displayedObject=None)s = mdb.models['Model-1'].ConstrainedSketch(name='__profile__', sheetSize=300.0)g, v, d, c = s.geometry, s.vertices, s.dimensions, s.constraintss.setPrimaryObject(option=STANDALONE)s.rectangle(point1=(-25.0, 10.0), point2=(55.0, -20.0))s.ObliqueDimension(vertex1=v[3], vertex2=v[0], textPoint=(-12.085789680481, 16.9377517700195), value=200.0)s.ObliqueDimension(vertex1=v[0], vertex2=v[1], textPoint=(-39.5603218078613, -1.47590291500092), value=20.0)p = mdb.models['Model-1'].Part(name=‘BEAM', dimensionality=THREE_D, type=DEFORMABLE_BODY)p = mdb.models['Model-1'].parts[‘BEAM']p.BaseSolidExtrude(sketch=s, depth=25.0)s.unsetPrimaryObject()p = mdb.models['Model-1'].parts[‘BEAM']session.viewports['Viewport: 1'].setValues(displayedObject=p)del mdb.models['Model-1'].sketches['__profile__']

Page 13: Abaqus Tutorial

But I digress…Material

DBL Click

Page 14: Abaqus Tutorial

Sections ???

• What is a section and why do we need it?– A section is essentially a reference to a

material model (steel, wood, etc.)– Suppose a single part geometry with different

regions having different material props or a model space with multiple parts…

– Sections provide a mechanism to assign different material properties to different part regions or different parts, etc.

Page 15: Abaqus Tutorial

Section Creation

• DBL Click ‘Sections’– Name =BeamSection– Solid– Homogeneous

• Continue– Material = Steel

• ‘OK’

Page 16: Abaqus Tutorial

Section Assignment

Part will turn green

Page 17: Abaqus Tutorial

Assembly (like Pro/E, SolidEdge, …)

Page 18: Abaqus Tutorial

Analysis Steps

• ‘Initial Step’ created by Abaqus– Use for displacement

BC’s (base state before loads)

• Create other steps as needed

• General Step– Linear or nonlinear

analysis

• Linear Perturbation Step– Linear analysis based on

‘instantaneous’ state and ‘instantaneous’ modulus

Page 19: Abaqus Tutorial

Step Solution Controls

• Lots of options

• Typically don’t mess with this unless you know what you’re doing

• Most options relate to nonlinear analyses

Page 20: Abaqus Tutorial

Output Request Manager

Page 21: Abaqus Tutorial

Applying Fixed-End BC

Page 22: Abaqus Tutorial

Fixed-End BC Cont’d

Page 23: Abaqus Tutorial

Applied Load BC (Similar Process)

Page 24: Abaqus Tutorial

Applied Load BC Cont’d

Page 25: Abaqus Tutorial

Meshing the Beam

Page 26: Abaqus Tutorial

Element Type: 3D Quadratic Brick

• Why not Linear?– ~ – ~ u’– Linear u =>

constant u’ => constant & in the element

• Why Linear?– Less ‘expensive’

for non-linear analyses

Page 27: Abaqus Tutorial

‘Seeding’ the Part

• ‘Seeds’ are just boundary edge nodes used for initiating a mesh

• seed size ~ mesh density

Page 28: Abaqus Tutorial

Creating the Mesh

Page 29: Abaqus Tutorial

Creating a Job for our Model

• DBL-Click ‘Jobs’• Create a new Job• Edit Job – some pretty

handy features & lots of options

Page 30: Abaqus Tutorial

Submitting the Job

*Heading Cantilever beam under pressure

** Job name: BeamJob Model name: Model-1*Preprint, echo=NO, model=NO, history=NO,

contact=NO**

** PARTS**

*Part, name=BEAM*Node

1, 155., 15., 25. 2, 155., 5., 25. 3, 155., -5., 25.

4, 155., 15., 16.666666

C:\Temp\BeamJob.inp

Page 31: Abaqus Tutorial

Viewing Results

Page 32: Abaqus Tutorial

Other Results

Page 33: Abaqus Tutorial

A ‘Real World’ Problem

• Jet Engine Compressor Blade– Fixed base– Rotation body

force…’pull’– Gas Pressure

forces of blade’s pressure side

– Vibrational modes– Ignoring

temperature effects for now

Page 34: Abaqus Tutorial

Problem Specs

• Steel Compressor Blade– E = 2.09E11 Pa– = 0.3– = 7860 kg/m^3

• Blade Span = 0.070m• Blade Chord = 0.020m• Blade Pitch = 0.5m• More Dimensions on next slide…• Angular velocity = 1000 rad/sec• Gas Pressure = 12000 Pa• Axis of rotation = 0.050 m from

blade base (twist point)…• Blade ‘base’ is fixed• Want first 20 mode shapes and

natural frequencies for the spinning and pressurized blade

• Ignore temperature effects & assume linear elastic behavior

P

FIXED

50 mm

70 mm

20 mm

Page 35: Abaqus Tutorial

Geometry (X-section)

Page 36: Abaqus Tutorial

Geometry (Extrude Step)

• When making the extrusion specify a pitch for the part = 0.5 (2-3 view should appear as below)

Page 37: Abaqus Tutorial

Material: Steel

Page 38: Abaqus Tutorial

Section(s): Create & Assign

• Essentially exact same procedure as before– BladeSection material = Steel– Assign BladeSection to the part ‘blade’

Page 39: Abaqus Tutorial

Mesh (Element Type - 3D quad brick)

Page 40: Abaqus Tutorial

Mesh: Seed the Part (size=.00185)

Page 41: Abaqus Tutorial

Finish the Mesh

Page 42: Abaqus Tutorial

Assembly

Page 43: Abaqus Tutorial

Assembly Cont’d• Use the ‘translate’ command to offset the blade so that it

is 50mm (along z-axis) from global origin this way we can use the global x-axis as our rotation axis

50 mm

Page 44: Abaqus Tutorial

Define Analysis Steps

• Initial Step (created by ABAQUS)– Here will go our fixed end

BC• Create a Tension Step

– ‘General, Static’ step– Here will go our rotation

body force• Create a Pressure Step

– ‘General, Static’ step– Here will go our pressure

• Create a Modal Step– ‘Linear Perturbation,

Frequency’ step– No BC’s or loads – just a

modal analysis

Page 45: Abaqus Tutorial

Modal Step Options

Page 46: Abaqus Tutorial

Define BC (FixedBase for Initial Step)

Page 47: Abaqus Tutorial

Define Load for Tension Step

Page 48: Abaqus Tutorial

Define Load for Pressure Step

Page 49: Abaqus Tutorial

Create & Submit Job & Look at the Results

Page 50: Abaqus Tutorial

Results: Getting Set Up

Page 51: Abaqus Tutorial

Results: Rotational Results

Page 52: Abaqus Tutorial

Results: Rotation + Pressure

Page 53: Abaqus Tutorial

Results: Mode 2

Page 54: Abaqus Tutorial

Results: Mode 7 & so on…

Page 55: Abaqus Tutorial

THE END!!!!